Maemo Flasher-3.5 Tool final for Fremantle and Diablo released

2009-10-27 09:43 UTC by Jarmo Tikka

The Maemo Eclipse Integration 2nd Edition project has now released it's first final release, Maemo Flasher-3.5 Tool. Installation packages for Linuxes, Mac OS X and Windows are now available from Maemo Development Environment Downloads page. Maemo Flasher-3.5 tool supports flashing of N8x0 devices with Diablo images and N900 device with Fremantle images.

Maemo Flasher-3.5 Tool

- Version:
- Date: October 27, 2009
- Hardware supported: Nokia N800, N810 and N810 WiMAX with Diablo 4.1.x and N900 with Fremantle 5.x.

Supported operating systems

- Linuxes (Debian installation package available for Debian based Linuxes and tar ball for others)
- Windows 7, XP with SP3 and Vista with SP2
- Mac OS X 10.5 Leopard and 10.6 Snow Leopard

Notice that Linux and Windows versions of Flasher-3.5 Tool support x86/32-bit host PC architectures. Mac OS X versions support both x86/32-bit and PPC/32-bit architectures.

Downloads and documentation

- Flasher-3.5 downloads: Maemo Development Environment Downloads page
- Flasher-3.5 documentation: Help file delivered as part of installation package

Sources for libusb library (LGPL v2) installed as part of Maemo Flasher-3.5 for Windows and Mac OS X:
- Libusb (version 0.1.12 for Mac):
- Libusb-win32 (version for Win):

Short description

The Maemo Flasher-3.5 Tool is a command line utility that supports flashing of N900 device with Fremantle 5.x platform releases and N800, N810 and N810 WiMAX devices with Diablo 4.1.x platform releases. Notice that older Maemo devices (like Nokia 770) and older Maemo platform releases (like Chinook) may require a specific Flasher Tool.

Maemo Flasher-3.5 Tool is targeted for Maemo developer usage but also technology oriented end users of Maemo devices can use it if complexity of tool and command line user interface is not a problem for them.

Flasher-3.5 Tool is run from a Linux, Windows or Mac host computer as command line tool, and it will send data and commands to the connected Maemo device over USB. Command line parameters supported by Flasher-3.5 Tool together with some usage examples are documented in Help.txt file available from installation packages. Flasher-3.5 binary gives also command line help if it is run without any parameter or with "--set-rd-flags" or "--clear-rd-flags" parameters.


The Maemo Flasher-3.5 Tool should be installed from the installation package provided for Linuxes, Windows and Mac OS X.

Installation of Maemo Flasher-3.5 requires administration rights in all supported operating systems.

Feedback from Flasher-3.5 Tool can be sent to


Yves-Alexis Perez
Karma: 140

Is there a way to get an x86_64 debian version of the flasher tool? It's barely an “exotic” architecture so it'd make sense to provide it (or provide a .dsc so people can build it themselves, but I guess opensourceing it might be problematic for other reasons)

2009-12-21 14:21 UTC


You must be logged in to make comments.